<?php
/**
// Simon Wells "Simon Says - K2 JomComments" Plugin for Joomla! 1.5.x - Version 1.0
// Copyright (c) 2010 Simon Wells. All rights reserved.
// Released under the GNU/GPL license: http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
// More info at http://www.simon.getk2.org
// Designed and developed by Simon Wells
// Version V1.0
// Tested with K2 V2.3
*/

// no direct access
defined('_JEXEC') or die ('Restricted access');

jimport('joomla.plugin.plugin');

class plgK2k2jomcomments extends JPlugin {
	
	function plgk2jomcomments( & $subject, $params)
	{
		parent::__construct($subject, $params);
	}
	//Setup Comments Block
	function onK2CommentsBlock( &$item, &$params, $limitstart )
	{
		$result = '';

		if ($item->params->get('itemComments')) {
        include_once( JPATH_PLUGINS . DS . 'content' . DS . 'jom_comment_bot.php' );
	        
	      $result = jomcomment($item->id, "com_k2");

	   		}
		return $result;
	}
	//Setup Counter Display
	function onK2CommentsCounter( &$item, &$params, $limitstart )
	{
   	$result = '';

		if ($item->params->get('itemComments')) {

	 			     $count = jcCountComment($item->id, "com_k2");
		 		     if ($count == 0) {
		 		    	$link = $item->link.'#addcomments';
		 		    	$text = JText::_('Add comment');
	 			    } else {
		 		    	$link = $item->link.'#comments';
		 		    	$text = JText::sprintf('Read comments', $count);
		 		      }
		 		      $result = '<a href="'.$link.'" title="'.$text.'">'.$text.'</a>';
		 	         
		         }
		         return $result;		    		    
	}
}
